module SettingsHelper
  def generate_setting_data(setting)
    data = {name: :value}
    case setting.format
      when :image
        form = simple_form_for setting.real_value do |f|
          f.file_field :data, accept: 'image/*'
        end
        data.merge!({image: form})
      when :bool
        select_data = options_for_select([[t('no'), 0], [t('yes'), 1]])
        data.merge!({select: select_data})
      else
        nil
    end
    data
  end
end
