module AdminHelper
  def current_admin_path
    return @current_admin_path if @current_admin_path
    if params['controller'] == 'admin' && params['action'] == 'index'
      @current_admin_caption = t('activerecord.attributes.page.links.admin_area')
      @current_admin_path = link_to @current_admin_caption, admin_index_path, class: 'navbar-brand'
    else
      model = controller_name.singularize.classify.constantize
      @current_admin_caption = model ? model.model_name.human(count: 2).mb_chars.titleize : controller_name.humanize
      @current_admin_path = link_to @current_admin_caption, controller_path, class: 'navbar-brand'
    end
  end

  def current_admin_caption
    current_admin_path unless @current_admin_caption
    @current_admin_caption
  end
end

